repo/gentoo:master commit in: sci-visualization/gnuplot/

Ulrich Müller <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787123072.de7bea155a4a3fe0f9d4c6b3d7725da92b5b9f5e.ulm@gentoo>
commit:     de7bea155a4a3fe0f9d4c6b3d7725da92b5b9f5e
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 07:04:02 2026 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 07:04:32 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de7bea15

sci-visualization/gnuplot: add 6.0.5

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 sci-visualization/gnuplot/Manifest             |   1 +
 sci-visualization/gnuplot/gnuplot-6.0.5.ebuild | 221 +++++++++++++++++++++++++
 2 files changed, 222 insertions(+)

diff --git a/sci-visualization/gnuplot/Manifest b/sci-visualization/gnuplot/Manifest
index 9434c11b3b7e..b19ecb7f74b8 100644
--- a/sci-visualization/gnuplot/Manifest
+++ b/sci-visualization/gnuplot/Manifest
@@ -1,3 +1,4 @@
 DIST gnuplot-5.4.10.tar.gz 5687565 BLAKE2B 879159fb4b581aa334b221632af7268047077cd48d89d1cecb0c6c9e855edd40bddfdaa8222177652d6200f81b97b0b52fe719da0641eea817e086832f07664f SHA512 fe5226a243dad62e8617d820764dc5923e76a51a68c58a666a699110f5b5be0f5e759e0586e923472a59ca6d1b30d1093d7a65e9c1d3a36fcd33a95df36ab89f
 DIST gnuplot-6.0.3.tar.gz 7616904 BLAKE2B 114ff2da63554cc273e2819a2c207f8d908c4daa97206fddecc21e92efd70f53b95a06a9ee8615988133da4dcad62bbb27e140e51587ae74fb68ca53308e09f4 SHA512 33b0954ff70f1655e23ce0b6986b317a2b1be5ff6c3edda4df0499ef1e2db9bef97f2f3f5ca6c18272bd3375e60c8c07db3639f1c139be51416e8a6aba6e33c9
 DIST gnuplot-6.0.4.tar.gz 7549894 BLAKE2B b2e4daa5ec31fb46dd963c8aa341b0cfbd6a80572d6679780c526c04d4a16d27801e8611458944d99b7707dd28fa2770e43810fcdd9da5009cef965e17396a45 SHA512 086e109cc040c0b9ebedded17d551c2758629c13dc2a5bf950fe129c8c0dec38b01a3d1e89a8f138f7b0bedccb68996676ab2ff9e9f53aebea8e8d0c0ce98a75
+DIST gnuplot-6.0.5.tar.gz 7576802 BLAKE2B 4209a34c6f7fb4f7b3617133dd76e57b4b635e69ce46ff6f72e4618d01a5c78703ef69fea6ca5025e03d4988e9edda72598090298f5e3a8db494874210f1d77c SHA512 6473ddf8f34c94137c8aa85fff2ab1d3fb6d0f9a0b671ddf886259af38a782ba55cbc1bd5e6378a949a3c1cc9482bd090592df1920bb5cbebb4bfc1b8b13a2cb

diff --git a/sci-visualization/gnuplot/gnuplot-6.0.5.ebuild b/sci-visualization/gnuplot/gnuplot-6.0.5.ebuild
new file mode 100644
index 000000000000..11e91effc83c
--- /dev/null
+++ b/sci-visualization/gnuplot/gnuplot-6.0.5.ebuild
@@ -0,0 +1,221 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1,2,3,4} )
+WX_GTK_VER="3.2-gtk3"
+
+inherit autotools lua-single readme.gentoo-r1 toolchain-funcs wxwidgets
+
+DESCRIPTION="Command-line driven interactive plotting program"
+HOMEPAGE="http://www.gnuplot.info/"
+
+if [[ -z ${PV%%*9999} ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://git.code.sf.net/p/gnuplot/gnuplot-main"
+	EGIT_BRANCH="master"
+	MY_P="${PN}"
+	EGIT_CHECKOUT_DIR="${WORKDIR}/${MY_P}"
+else
+	MY_P="${P/_/.}"
+	SRC_URI="https://downloads.sourceforge.net/gnuplot/${MY_P}.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+fi
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="gnuplot"
+SLOT="0"
+IUSE="amos aqua bitmap cairo doc examples +gd gpic latex libcaca libcerf lua metafont metapost qt6 readline regis tgif wxwidgets X"
+
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
+
+RDEPEND="
+	amos? ( dev-libs/openspecfun )
+	cairo? (
+		x11-libs/cairo
+		x11-libs/pango )
+	gd? ( >=media-libs/gd-2.0.35-r3:2=[png] )
+	latex? (
+		virtual/latex-base
+		lua? (
+			dev-tex/pgf
+			>=dev-texlive/texlive-latexrecommended-2008-r2 ) )
+	libcaca? ( media-libs/libcaca )
+	lua? ( ${LUA_DEPS} )
+	qt6? (
+		dev-qt/qt5compat:6
+		dev-qt/qtbase:6[gui,network,widgets]
+		dev-qt/qtsvg:6 )
+	readline? ( sys-libs/readline:0= )
+	libcerf? ( sci-libs/libcerf:= )
+	wxwidgets? (
+		x11-libs/wxGTK:${WX_GTK_VER}=[X]
+		x11-libs/cairo
+		x11-libs/pango
+		x11-libs/gtk+:3 )
+	X? (
+		x11-libs/libX11
+		x11-libs/libXaw )"
+
+DEPEND="${RDEPEND}
+	X? ( x11-base/xorg-proto )"
+
+BDEPEND="
+	virtual/pkgconfig
+	doc? (
+		virtual/latex-base
+		dev-texlive/texlive-latexextra
+		dev-texlive/texlive-langgreek
+		dev-texlive/texlive-mathscience
+		app-text/ghostscript-gpl )
+	qt6? ( dev-qt/qttools:6[linguist] )"
+
+IDEPEND="latex? ( virtual/latex-base )"
+
+GP_VERSION="${PV%.*}"
+TEXMF="${EPREFIX}/usr/share/texmf-site"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-6.1-no-picins.patch
+)
+
+pkg_setup() {
+	use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	if [[ ${PV##*.} = 9999 ]]; then
+		local dir
+		for dir in config demo m4 term tutorial; do
+			emake -C "$dir" -f Makefile.am.in Makefile.am
+		done
+	fi
+
+	# Add special version identification as required by provision 2
+	# of the gnuplot license
+	sed -i -e "1s/.*/& (Gentoo revision ${PR})/" PATCHLEVEL || die
+
+	eautoreconf
+
+	# Make sure we don't mix build & host flags.
+	sed -i \
+		-e 's:@CPPFLAGS@:$(BUILD_CPPFLAGS):' \
+		-e 's:@CFLAGS@:$(BUILD_CFLAGS):' \
+		-e 's:@LDFLAGS@:$(BUILD_LDFLAGS):' \
+		-e 's:@CC@:$(CC_FOR_BUILD):' \
+		docs/Makefile.in || die
+}
+
+src_configure() {
+	if ! use latex; then
+		sed -i -e '/SUBDIRS/s/LaTeX//' share/Makefile.in || die
+	fi
+
+	use wxwidgets && setup-wxwidgets
+
+	tc-export CC CXX			#453174
+	tc-export_build_env BUILD_CC
+	export CC_FOR_BUILD=${BUILD_CC}
+
+	local myconf=(
+		--with-texdir="${TEXMF}/tex/latex/${PN}"
+		--with-readline=$(usex readline gnu builtin)
+		$(use_with amos)
+		$(use_with bitmap bitmap-terminals)
+		$(use_with cairo)
+		$(use_with gd)
+		$(use_with gpic)
+		"$(use_with libcaca caca "${EPREFIX}/usr/$(get_libdir)")"
+		$(use_with libcerf)
+		$(use_with lua)
+		$(use_with metafont)
+		$(use_with metapost)
+		$(use_with qt6 qt qt6)
+		$(use_with regis)
+		$(use_with tgif)
+		$(use_with X x)
+		--enable-stats
+		$(use_enable wxwidgets)
+		DIST_CONTACT="https://bugs.gentoo.org/"
+		EMACS=no
+		# pdflatex fails in titlepag.tex: "Argument of  has an extra }."
+		# Work around this by using lualatex to build the user manual,
+		# see release notes of gnuplot-6.0.3
+		PDFLATEX=lualatex
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_compile() {
+	# Prevent access violations #201871
+	local -x VARTEXFONTS="${T}/fonts"
+	# Work around luatex braindamage #950021
+	local -x TEXMFCACHE="${T}/texmf-var" TEXMFVAR="${T}/texmf-var"
+
+	emake all
+
+	# Building the documentation is broken for some configurations.
+	# Install the pre-built gnuplot.pdf instead. #577828 #689894 #960528
+	#if use doc; then
+	#	if use cairo; then
+	#		emake -C docs pdf
+	#	else
+	#		ewarn "Cannot build figures unless cairo is enabled."
+	#		ewarn "Building documentation without figures."
+	#		emake -C docs pdf_nofig
+	#		mv docs/nofigures.pdf docs/gnuplot.pdf || die
+	#	fi
+	#fi
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	dodoc BUGS NEWS PGPKEYS README* RELEASE_NOTES
+	newdoc term/PostScript/README README-ps
+	newdoc term/js/README README-js
+	use lua && newdoc term/lua/README README-lua
+
+	local DOC_CONTENTS='Gnuplot no longer links against pdflib. You can
+		use the "pdfcairo" terminal for PDF output.'
+	use cairo || DOC_CONTENTS+=' It is available with USE="cairo".'
+	use gd && DOC_CONTENTS+="\n\nFor font support in png/jpeg/gif output,
+		you may have to set the GDFONTPATH and GNUPLOT_DEFAULT_GDFONT
+		environment variables. See the FAQ file in /usr/share/doc/${PF}/
+		for more information."
+	readme.gentoo_create_doc
+
+	if use examples; then
+		# Demo files
+		insinto /usr/share/${PN}/${GP_VERSION}
+		doins -r demo
+		rm "${ED}"/usr/share/${PN}/${GP_VERSION}/demo/binary{1,2,3} || die
+		rm "${ED}"/usr/share/${PN}/${GP_VERSION}/demo/plugin/*.{o,so} || die
+	fi
+
+	if use doc; then
+		# Manual, FAQ
+		dodoc docs/gnuplot.pdf #FAQ.pdf
+		# Documentation for making PostScript files
+		docinto psdoc
+		dodoc docs/psdoc/{*.doc,*.tex,*.ps,*.gpi,README}
+	fi
+}
+
+src_test() {
+	emake check GNUTERM="dumb"
+}
+
+pkg_postinst() {
+	use latex && texmf-update
+	readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+	use latex && texmf-update
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.